# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/net/nfc/nxp,pn532.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: NXP Semiconductors PN532 NFC controller

maintainers:
  - Krzysztof Kozlowski <krzysztof.kozlowski@canonical.com>

properties:
  compatible:
    oneOf:
      - const: nxp,pn532
      - description: Deprecated bindings
        enum:
          - nxp,pn532-i2c
          - nxp,pn533-i2c
        deprecated: true

  interrupts:
    description: Required if connected via I2C
    maxItems: 1

  reg:
    description: Required if connected via I2C
    maxItems: 1

required:
  - compatible

dependencies:
  interrupts: [ 'reg' ]

additionalProperties: false

examples:
  # PN532 on I2C bus
  - |
    #include <dt-bindings/interrupt-controller/irq.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        nfc@24 {
            compatible = "nxp,pn532";

            reg = <0x24>;

            interrupt-parent = <&gpio1>;
            interrupts = <17 IRQ_TYPE_LEVEL_HIGH>;
        };
    };

  # PN532 connected via UART
  - |
    serial@49042000 {
        reg = <0x49042000 0x400>;

        nfc {
            compatible = "nxp,pn532";
        };
    };
